using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class Unk11AFPacket : Packet
    {
        public uint unk1 {  get; set; }
        public uint unk2 { get; set; }
        public uint unk3 { get; set; }
        public uint unk4 { get; set; }

        public Unk11AFPacket(uint unk1, uint unk2, uint unk3, uint unk4)
        {
            this.unk1 = unk1;
            this.unk2 = unk2;
            this.unk3 = unk3;
            this.unk4 = unk4;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(unk1);
            pkt.Write(unk2);
            pkt.Write(unk3);
            pkt.Write(unk4);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0xAF, PacketFlags.None);
        }

        #endregion
    }
}